<?php
class ChangePasswordForm extends PluginUserForm 
{
  public function configure()
  {
    $this->disableCSRFProtection();
    $this->useFields(array('password'));

    $this->validatorSchema['password'] = new sfValidatorAnd(array(
      $this->validatorSchema['password'],
      new sfValidatorRegex(array('pattern' => '/[!@#$%^&*()+:;,.-_a-zA-Z0-9]{6,20}/'), array('invalid' => 'Слишком простой пароль'))
    ));

    
  }
}
?>